For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Help CenterSign Up
GuidesAPI Reference
GuidesAPI Reference
  • API V1
      • POSTLookup for Date
      • POSTAuthorized
      • POSTCaptured
      • POSTReturned Pro
Help CenterSign Up
API V1Advanced

Authorized

POST
https://api.taxcloud.net/1.0/TaxCloud/Authorized
POST
/1.0/TaxCloud/Authorized
$curl -X POST https://api.taxcloud.net/1.0/TaxCloud/Authorized \
> -H "Content-Type: application/json" \
> -d '{
> "apiLoginID": "2D7D820",
> "apiKey": "0946110c-2aa9-4387-ad5c-4e1c551b8d0c",
> "customerID": "CustomerX23",
> "cartID": "Cart2342534235",
> "orderID": "OrderX23"
>}'
1{
2 "AuthorizedResult": {
3 "ResponseType": {
4 "value": 0
5 },
6 "Messages": [
7 "string"
8 ]
9 }
10}

Mark a previous Lookup as Authorized. Authorized should be called after the similar step with your payment processor.

Was this page helpful?
Previous

Captured

Next
Built with

Request

Mark a previous Lookup as Authorized
apiLoginIDstringRequired7-8 characters

Find your API ID via https://app.taxcloud.com/go/stores/

apiKeystringRequired=8 characters

Find your API KEY via https://app.taxcloud.com/go/stores/

customerIDstringRequired5-50 characters

This should be the abstract identifier used by your system to uniquely identify customers. Note: This should not be your customer’s email address or any other form of Personally Identifiable Information (PII).

cartIDstringRequiredformat: "uuid"5-50 characters
CartID is very similar to an Order ID, except most systems do not issue immutable (permanent) identifiers for orders until customers actually place their order (clicking the BUY button).

Something went wrong!
You must be able to persist the CartID accross all Lookup requests for a particular customer (including situations where a customer puts an item in her cart before logging in, then proceeds ordering after logging in).

If your system does not provide a mechanism to create unique identifiers, you can omit this parameter (or submit as null) and TaxCloud will provide a unique identifier in the response (which you should persist for subsequent Lookup calls and the ultimate Authorized or AuthorizedWithCapture calls).
orderIDstringRequired5-50 characters
This is the immutable Order identifier used by your system to idenitify unique orders.
dateAuthorizedstringOptionalformat: "date-time"

The Date/Time of record for Authorization. If omitted, this value is inferred from the time the API call is received.

Response

OK
AuthorizedResultobject

Errors

5XX
Server Error